#
# spec file for package perl-Net-Whois-RIPE (Version 1.31)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Net-Whois-RIPE1
Version:        1.31
Release:        7.1
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        GPLv2+
Url:            http://cpan.org/modules/by-module/Net/
Summary:        Perl module for implementation of RIPE Whois
Source:         http://search.cpan.org/CPAN/authors/id/P/PA/PAULG/Net-Whois-RIPE-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
Conflicts:      perl-Net-Whois-RIPE >= 2.0

%description
Net::Whois::RIPE class implementing a RIPE whois client



Authors:
--------
    Paul Gampe, <pgampe@users.sourceforge.net>
    Kevin Baker, <shagol@users.sourceforge.net>
    Bruce Campbell, <bxc@users.sourceforge.net>

%prep
%setup -n Net-Whois-RIPE-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/Whois
%doc ChangeLog README MANIFEST
%doc %{_mandir}/man?/*

%changelog
* Wed Apr 25 2012 darin@darins.net
- renamed package so it can coexist with version 2
- added Conflicts for version >= 2
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Mon Jan 25 2010 anicka@suse.cz
- update to 1.31
  * adding whois.ripe.net as the official host for package tests.
  * applying the patch provided by Ulrich Zehl <ulrich@topfen.net> which allows
  Net::Whois::RIPE to correctly recognize answers from the whois.radb.net and
  whois.altdb.net instead of timming out.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Dec 11 2007 kssingvo@suse.de
- first try with version 1.23
